"""anki_hsk_creator"""

# Standard Library
import os
from pathlib import Path

# Pip
from dotenv import load_dotenv

load_dotenv()

# Globals

# Get an HF_TOKEN from huggingface for TTS generation
HF_TOKEN = os.environ.get("HF_TOKEN")

# Path
default_path = Path.home() / "anki-hsk-creator-data"
DATA_FOLDER = Path(os.environ.get("DATA_FOLDER", default_path))
DATA_FOLDER.mkdir(exist_ok=True, parents=True)
